
U++ - Bug #1051

IDE - add release information

05/03/2015 02:24 PM - Zbigniew Rebacz

Status: Approved Start date: 05/03/2015

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: IDE Estimated time: 0.00 hour

Target version: Release 2015.2 - NTH Spent time: 0.00 hour

Description

I think ultimate++ should somewhere have got information about release.

I mean that we somewhere need to show "2015.1". Patch on the way...

Related issues:

Related to Feature # 730: POSIX Builds should contain version number (IDE) Rejected 03/29/2014

History

#1 - 05/03/2015 02:32 PM - Zbigniew Rebacz

What dose this function do?

bool Ide::OpenMainPackage()

{

    String tt = "Select main package";

//    tt << " (IDE " << IDE_VER_MAJOR << "." << IDE_VER_MINOR << ".r" << IDE_VER_BUILD

//    << ", " << ::AsString(IDE_VER_DATE) << ")";

#ifdef bmYEAR

    tt << " (TheIDE " << IDE_VERSION

       << Format(" %d-%02d-%02d %d:%02d)", bmYEAR , bmMONTH, bmDAY, bmHOUR, bmMINUTE);

#else

    tt << " (TheIDE " << IDE_VERSION << ')';

#endif

    String p = SelectPackage(tt, main, true, true);

    if(p.IsEmpty()) return false;

    main.Clear();

    if(!IsOpen())

        Open();

    SetMain(p);

    return true;

}

#2 - 05/03/2015 02:34 PM - Zbigniew Rebacz

- File IdeRelease.diff added

OK, I created simply version. Please notice that IDE_RELEASE can give us "do release update" option ;)
#3 - 05/03/2015 02:34 PM - Zbigniew Rebacz

- Status changed from In Progress to Patch ready

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

#4 - 11/02/2015 09:07 PM - Zbigniew Rebacz

- Target version set to Release 2015.2 - NTH

#5 - 12/02/2015 12:48 PM - Zbigniew Rebacz

- Status changed from Patch ready to Approved

Files

IdeRelease.diff 638 Bytes 05/03/2015 Zbigniew Rebacz

04/26/2025 2/2


